﻿using System;
using System.ComponentModel.DataAnnotations;

namespace FrozenFishWeb.Models {
	/*[Table(Produit)]*/
	public class Produit : IComparable<Produit> {

		[Key]
		public int Id { get; set; }
		[Required, MaxLength(80)]
		public string Nom { get; set; }
		[MaxLength(80)]
		public string Marque { get; set; }
		[MaxLength(80)]
		public string Vendeur { get; set; }
		[Required]
		[Display(Name = "Date d'achat")]
		public DateTime DateAchat { get; set; }
		[Display(Name = "Durée de la garantie")]
		public int DureeGarantie { get; set; }
		[Display(Name = "Lien vers le site web")]
		[DataType(DataType.Url)]
		public Uri LienFiche { get; set; }
		[Display(Name = "Lien vers le SAV")]
		[DataType(DataType.Url)]
		public Uri LienSAV { get; set; }
		[Display(Name = "Lien vers une image")]
		[DataType(DataType.ImageUrl)]
		public Uri LienImage { get; set; }
		[Display(Name = "Description")]
		[MaxLength(512)]
		public string Description { get; set; }
		[Display(Name = "Sous garantie")]
		public bool SousGarantie
		{
			get
			{
				return (DateAchat.AddYears(DureeGarantie) > DateTime.Now);
			}
		}

		public int CompareTo(Produit other) {
			return Id.CompareTo(other.Id);
		}
	}
}